/**
 * All files in the distribution of BLOAT (Bytecode Level Optimization and
 * Analysis tool for Java(tm)) are Copyright 1997-2001 by the Purdue
 * Research Foundation of Purdue University.  All rights reserved.
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */

package EDU.purdue.cs.bloat.editor;

/**
 * This adapter provides a default implementation for every method in
 * InstructionVisitor.
 */
public class InstructionAdapter implements InstructionVisitor {
	public void visit_nop(final Instruction inst) {
	}

	public void visit_ldc(final Instruction inst) {
	}

	public void visit_iload(final Instruction inst) {
	}

	public void visit_lload(final Instruction inst) {
	}

	public void visit_fload(final Instruction inst) {
	}

	public void visit_dload(final Instruction inst) {
	}

	public void visit_aload(final Instruction inst) {
	}

	public void visit_iaload(final Instruction inst) {
	}

	public void visit_laload(final Instruction inst) {
	}

	public void visit_faload(final Instruction inst) {
	}

	public void visit_daload(final Instruction inst) {
	}

	public void visit_aaload(final Instruction inst) {
	}

	public void visit_baload(final Instruction inst) {
	}

	public void visit_caload(final Instruction inst) {
	}

	public void visit_saload(final Instruction inst) {
	}

	public void visit_istore(final Instruction inst) {
	}

	public void visit_lstore(final Instruction inst) {
	}

	public void visit_fstore(final Instruction inst) {
	}

	public void visit_dstore(final Instruction inst) {
	}

	public void visit_astore(final Instruction inst) {
	}

	public void visit_iastore(final Instruction inst) {
	}

	public void visit_lastore(final Instruction inst) {
	}

	public void visit_fastore(final Instruction inst) {
	}

	public void visit_dastore(final Instruction inst) {
	}

	public void visit_aastore(final Instruction inst) {
	}

	public void visit_bastore(final Instruction inst) {
	}

	public void visit_castore(final Instruction inst) {
	}

	public void visit_sastore(final Instruction inst) {
	}

	public void visit_pop(final Instruction inst) {
	}

	public void visit_pop2(final Instruction inst) {
	}

	public void visit_dup(final Instruction inst) {
	}

	public void visit_dup_x1(final Instruction inst) {
	}

	public void visit_dup_x2(final Instruction inst) {
	}

	public void visit_dup2(final Instruction inst) {
	}

	public void visit_dup2_x1(final Instruction inst) {
	}

	public void visit_dup2_x2(final Instruction inst) {
	}

	public void visit_swap(final Instruction inst) {
	}

	public void visit_iadd(final Instruction inst) {
	}

	public void visit_ladd(final Instruction inst) {
	}

	public void visit_fadd(final Instruction inst) {
	}

	public void visit_dadd(final Instruction inst) {
	}

	public void visit_isub(final Instruction inst) {
	}

	public void visit_lsub(final Instruction inst) {
	}

	public void visit_fsub(final Instruction inst) {
	}

	public void visit_dsub(final Instruction inst) {
	}

	public void visit_imul(final Instruction inst) {
	}

	public void visit_lmul(final Instruction inst) {
	}

	public void visit_fmul(final Instruction inst) {
	}

	public void visit_dmul(final Instruction inst) {
	}

	public void visit_idiv(final Instruction inst) {
	}

	public void visit_ldiv(final Instruction inst) {
	}

	public void visit_fdiv(final Instruction inst) {
	}

	public void visit_ddiv(final Instruction inst) {
	}

	public void visit_irem(final Instruction inst) {
	}

	public void visit_lrem(final Instruction inst) {
	}

	public void visit_frem(final Instruction inst) {
	}

	public void visit_drem(final Instruction inst) {
	}

	public void visit_ineg(final Instruction inst) {
	}

	public void visit_lneg(final Instruction inst) {
	}

	public void visit_fneg(final Instruction inst) {
	}

	public void visit_dneg(final Instruction inst) {
	}

	public void visit_ishl(final Instruction inst) {
	}

	public void visit_lshl(final Instruction inst) {
	}

	public void visit_ishr(final Instruction inst) {
	}

	public void visit_lshr(final Instruction inst) {
	}

	public void visit_iushr(final Instruction inst) {
	}

	public void visit_lushr(final Instruction inst) {
	}

	public void visit_iand(final Instruction inst) {
	}

	public void visit_land(final Instruction inst) {
	}

	public void visit_ior(final Instruction inst) {
	}

	public void visit_lor(final Instruction inst) {
	}

	public void visit_ixor(final Instruction inst) {
	}

	public void visit_lxor(final Instruction inst) {
	}

	public void visit_iinc(final Instruction inst) {
	}

	public void visit_i2l(final Instruction inst) {
	}

	public void visit_i2f(final Instruction inst) {
	}

	public void visit_i2d(final Instruction inst) {
	}

	public void visit_l2i(final Instruction inst) {
	}

	public void visit_l2f(final Instruction inst) {
	}

	public void visit_l2d(final Instruction inst) {
	}

	public void visit_f2i(final Instruction inst) {
	}

	public void visit_f2l(final Instruction inst) {
	}

	public void visit_f2d(final Instruction inst) {
	}

	public void visit_d2i(final Instruction inst) {
	}

	public void visit_d2l(final Instruction inst) {
	}

	public void visit_d2f(final Instruction inst) {
	}

	public void visit_i2b(final Instruction inst) {
	}

	public void visit_i2c(final Instruction inst) {
	}

	public void visit_i2s(final Instruction inst) {
	}

	public void visit_lcmp(final Instruction inst) {
	}

	public void visit_fcmpl(final Instruction inst) {
	}

	public void visit_fcmpg(final Instruction inst) {
	}

	public void visit_dcmpl(final Instruction inst) {
	}

	public void visit_dcmpg(final Instruction inst) {
	}

	public void visit_ifeq(final Instruction inst) {
	}

	public void visit_ifne(final Instruction inst) {
	}

	public void visit_iflt(final Instruction inst) {
	}

	public void visit_ifge(final Instruction inst) {
	}

	public void visit_ifgt(final Instruction inst) {
	}

	public void visit_ifle(final Instruction inst) {
	}

	public void visit_if_icmpeq(final Instruction inst) {
	}

	public void visit_if_icmpne(final Instruction inst) {
	}

	public void visit_if_icmplt(final Instruction inst) {
	}

	public void visit_if_icmpge(final Instruction inst) {
	}

	public void visit_if_icmpgt(final Instruction inst) {
	}

	public void visit_if_icmple(final Instruction inst) {
	}

	public void visit_if_acmpeq(final Instruction inst) {
	}

	public void visit_if_acmpne(final Instruction inst) {
	}

	public void visit_goto(final Instruction inst) {
	}

	public void visit_jsr(final Instruction inst) {
	}

	public void visit_ret(final Instruction inst) {
	}

	public void visit_switch(final Instruction inst) {
	}

	public void visit_ireturn(final Instruction inst) {
	}

	public void visit_lreturn(final Instruction inst) {
	}

	public void visit_freturn(final Instruction inst) {
	}

	public void visit_dreturn(final Instruction inst) {
	}

	public void visit_areturn(final Instruction inst) {
	}

	public void visit_return(final Instruction inst) {
	}

	public void visit_getstatic(final Instruction inst) {
	}

	public void visit_putstatic(final Instruction inst) {
	}

	public void visit_putstatic_nowb(final Instruction inst) {
	}

	public void visit_getfield(final Instruction inst) {
	}

	public void visit_putfield(final Instruction inst) {
	}

	public void visit_putfield_nowb(final Instruction inst) {
	}

	public void visit_invokevirtual(final Instruction inst) {
	}

	public void visit_invokespecial(final Instruction inst) {
	}

	public void visit_invokestatic(final Instruction inst) {
	}

	public void visit_invokeinterface(final Instruction inst) {
	}

	public void visit_new(final Instruction inst) {
	}

	public void visit_newarray(final Instruction inst) {
	}

	public void visit_arraylength(final Instruction inst) {
	}

	public void visit_athrow(final Instruction inst) {
	}

	public void visit_checkcast(final Instruction inst) {
	}

	public void visit_instanceof(final Instruction inst) {
	}

	public void visit_monitorenter(final Instruction inst) {
	}

	public void visit_monitorexit(final Instruction inst) {
	}

	public void visit_multianewarray(final Instruction inst) {
	}

	public void visit_ifnull(final Instruction inst) {
	}

	public void visit_ifnonnull(final Instruction inst) {
	}

	public void visit_rc(final Instruction inst) {
	}

	public void visit_aupdate(final Instruction inst) {
	}

	public void visit_supdate(final Instruction inst) {
	}

	public void visit_aswizzle(final Instruction inst) {
	}

	public void visit_aswrange(final Instruction inst) {
	}
}
